LibreOffice: AccessibleTextField Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Exported Interfaces | List of all members
AccessibleTextField Service Reference

Text fields are like edit fields as described by the AccessibleEdit service but without the ability to edit the text. More...

Inheritance diagram for AccessibleTextField:

## Included Services
service | com::sun::star::accessibility::AccessibleContext
| This interface gives access to the structural information of a text field:

## Exported Interfaces
interface | com::sun::star::accessibility::XAccessibleText
| This interface gives read-only access to the text representation of a text field.
interface | com::sun::star::accessibility::XAccessibleComponent
interface | com::sun::star::accessibility::XAccessibleExtendedComponent
Exported Interfaces inherited from AccessibleContext
interface | XAccessibleContext
interface | XAccessibleEventBroadcaster
| is implemented by accessible contexts that supports broadcasting of accessible events.

## Additional Inherited Members
Public Member Functions inherited from XAccessibleContext
long | getAccessibleChildCount ()
| Return the number of children.
XAccessible | getAccessibleChild ([in] long i) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the i-th child of this object.
XAccessible | getAccessibleParent ()
| Returns the parent of this object.
long | getAccessibleIndexInParent ()
| Returns the index of this object in its accessible parent.
short | getAccessibleRole ()
| Returns the role of this object.
string | getAccessibleDescription ()
| Returns the object's description.
string | getAccessibleName ()
| Return the object's localized name.
XAccessibleRelationSet | getAccessibleRelationSet ()
| Returns the set of relations defined for this object.
XAccessibleStateSet | getAccessibleStateSet ()
| Returns the set of states that are currently active for this object.
::com::sun::star::lang::Locale | getLocale () raises (IllegalAccessibleComponentStateException)
| Returns the locale of the component.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XAccessibleText
long | getCaretPosition ()
| Return the position of the caret.
boolean | setCaretPosition ([in] long nIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Set the position of the caret.
char | getCharacter ([in] long nIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Return the character at the specified position.
sequence<::com::sun::star::beans::PropertyValue > | getCharacterAttributes ([in] long nIndex, [in] sequence< string > aRequestedAttributes) raises (::com::sun::star::lang::IndexOutOfBoundsException, ::com::sun::star::beans::UnknownPropertyException)
| Get the attribute set for the specified position.
::com::sun::star::awt::Rectangle | getCharacterBounds ([in] long nIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Return the bounding box of the specified position.
long | getCharacterCount ()
| Return the number of characters in the represented text.
long | getIndexAtPoint ([in] ::com::sun::star::awt::Point aPoint)
| Return the text position for the specified screen position.
string | getSelectedText ()
| Return the selected text.
long | getSelectionStart ()
| Return the position of the start of the selection.
long | getSelectionEnd ()
| Return the position of the end of the selection.
boolean | setSelection ([in] long nStartIndex, [in] long nEndIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Set a new selection.
string | getText ()
| Return the whole text.
string | getTextRange ([in] long nStartIndex, [in] long nEndIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Return the specified text range.
TextSegment | getTextAtIndex ([in] long nIndex, [in] short nTextType) raises (::com::sun::star::lang::IndexOutOfBoundsException, ::com::sun::star::lang::IllegalArgumentException)
| Get a text portion around the given position.
TextSegment | getTextBeforeIndex ([in] long nIndex, [in] short nTextType) raises (::com::sun::star::lang::IndexOutOfBoundsException, ::com::sun::star::lang::IllegalArgumentException)
| Get a text portion before the given position.
TextSegment | getTextBehindIndex ([in] long nIndex, [in] short nTextType) raises (::com::sun::star::lang::IndexOutOfBoundsException, ::com::sun::star::lang::IllegalArgumentException)
| Get a text portion behind the given position.
boolean | copyText ([in] long nStartIndex, [in] long nEndIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Copy the specified text into the clipboard.
boolean | scrollSubstringTo ([in] long nStartIndex, [in] long nEndIndex, [in] AccessibleScrollType aScrollType) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Scroll the specified text to make it visible on screen.
Public Member Functions inherited from XAccessibleComponent
boolean | containsPoint ([in] ::com::sun::star::awt::Point Point)
| Tests whether the specified point lies within this object's bounds.
XAccessible | getAccessibleAtPoint ([in] ::com::sun::star::awt::Point Point)
| Returns the Accessible child that is rendered under the given point.
::com::sun::star::awt::Rectangle | getBounds ()
| Returns the bounding box of this object.
::com::sun::star::awt::Point | getLocation ()
| Returns the location of the upper left corner of the object's bounding box relative to the parent.
::com::sun::star::awt::Point | getLocationOnScreen ()
| Returns the location of the upper left corner of the object's bounding box in screen coordinates.
::com::sun::star::awt::Size | getSize ()
| Returns the size of this object's bounding box.
void | grabFocus ()
| Grabs the focus to this object.
::com::sun::star::util::Color | getForeground ()
| Returns the foreground color of this object.
::com::sun::star::util::Color | getBackground ()
| Returns the background color of this object.
Public Member Functions inherited from XAccessibleExtendedComponent
::com::sun::star::awt::XFont | getFont ()
| Returns the font of this object.
string | getTitledBorderText ()
| Returns the titled border text.
string | getToolTipText ()
| Returns the tool tip text of this object.
Protected Member Functions inherited from XAccessibleEventBroadcaster
void | addAccessibleEventListener ([in] XAccessibleEventListener xListener)
| registers the given XAccessibleEventListener.
void | removeAccessibleEventListener ([in] XAccessibleEventListener xListener)
| unregisters the given XAccessibleEventListener.

## Detailed Description

Text fields are like edit fields as described by the AccessibleEdit service but without the ability to edit the text.

See also
  com::sun::star::accessibility::AccessibleContext
  com::sun::star::accessibility::XAccessibleComponent
  com::sun::star::accessibility::XAccessibleExtendedComponent
  com::sun::star::accessibility::XAccessibleText

Since
  OOo 1.1.2

## Exported Interfaces

## ◆ com::sun::star::accessibility::AccessibleContext

service com::sun::star::accessibility::AccessibleContext

This interface gives access to the structural information of a text field:

- Role: The role of a text field is com::sun::star::accessibility::AccessibleRole::TEXT.
- Name: The name of a text field is its localized label.
- Description: The description of a text field is its localized help text.
- Children: There exists no children.
- Parent: The parent is the window that contains the text field.
- Relations: There are no relations.
- States: The states supported by this service are
  - com::sun::star::accessibility::AccessibleStateType::DEFUNC is set if the object has already been disposed and subsequent calls to this object result in com::sun::star::lang::DisposedException exceptions.
  - com::sun::star::accessibility::AccessibleStateType::ENABLED is set if the object is enabled.
  - com::sun::star::accessibility::AccessibleStateType::FOCUSABLE is always set.
  - com::sun::star::accessibility::AccessibleStateType::FOCUSED is set if the object currently has the keyboard focus.
  - com::sun::star::accessibility::AccessibleStateType::ACTIVE is set if a child has currently the focus.
  - com::sun::star::accessibility::AccessibleStateType::RESIZABLE is set if the object can be resized.
  - com::sun::star::accessibility::AccessibleStateType::SHOWING is set if the object is displayed on the screen.
  - com::sun::star::accessibility::AccessibleStateType::VISIBLE is always set.

## Exported Interfaces

## ◆ com::sun::star::accessibility::XAccessibleComponent

interface com::sun::star::accessibility::XAccessibleComponent

## ◆ com::sun::star::accessibility::XAccessibleExtendedComponent

interface com::sun::star::accessibility::XAccessibleExtendedComponent

## ◆ com::sun::star::accessibility::XAccessibleText

interface com::sun::star::accessibility::XAccessibleText

This interface gives read-only access to the text representation of a text field.

The documentation for this service was generated from the following file:

- com/sun/star/awt/AccessibleTextField.idl